#!/bin/bash
##要求传入的数据格式为yyyyMMdd的两个开始和结束参数，如20190901
start=$1
##结束时间为当前时间20190919
end=$(date "+%Y%m%d")
##将输入的日期转为的时间戳格式
startDate=`date -d "${start}" +%s`
endDate=`date -d "${end}" +%s`
##计算两个时间戳的差值除于每天86400s即为天数差
stampDiff=`expr $endDate - $startDate`
daySub=`expr $stampDiff / 86400`
echo "间隔天数："$daySub
sh ./his-day.sh $1 $daySub